- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAccessibleWidgetEx Class Reference

Search for all occurrences

## Detailed Description

Definition at line 97 of file qaccessiblewidget.h.

`#include <qaccessiblewidget.h>`

Inheritance diagram for QAccessibleWidgetEx:
[legend]

List of all members.

## Public Member Functions
| QAccessibleWidgetEx (QWidget *o, Role r=Client, const QString &name=QString())
int | childCount () const
int | indexOfChild (const QAccessibleInterface *child) const
Relation | relationTo (int child, const QAccessibleInterface *other, int otherChild) const
int | childAt (int x, int y) const
QRect | rect (int child) const
int | navigate (RelationFlag rel, int entry, QAccessibleInterface **target) const
QString | text (Text t, int child) const
Role | role (int child) const
State | state (int child) const
QString | actionText (int action, Text t, int child) const
bool | doAction (int action, int child, const QVariantList &params)
QVariant | invokeMethodEx (Method method, int child, const QVariantList &params)
## Protected Member Functions
| ~QAccessibleWidgetEx ()
QWidget * | widget () const
QObject * | parentObject () const
void | addControllingSignal (const QString &signal)
void | setValue (const QString &value)
void | setDescription (const QString &desc)
void | setHelp (const QString &help)
void | setAccelerator (const QString &accel)

## Constructor & Destructor Documentation

QAccessibleWidgetEx | ( | QWidget * | o,
|  | Role | r = `Client`,
|  | const QString & | name = `QString()`
| ) |  | `[explicit]`

~QAccessibleWidgetEx | ( |  | ) | `[protected]`

## Member Function Documentation

int childCount | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int indexOfChild | ( | const QAccessibleInterface * | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Relation relationTo | ( | int | child,
|  | const QAccessibleInterface * | other,
|  | int | otherChild
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

int childAt | ( | int | x,
|  | int | y
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QRect rect | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObjectEx.

int navigate | ( | RelationFlag | rel,
|  | int | entry,
|  | QAccessibleInterface ** | target
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QString text | ( | Text | t,
|  | int | child
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

Role role | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

State state | ( | int | child | ) | const `[virtual]`

Search for all occurrences

Implements QAccessibleInterface.

QString actionText | ( | int | action,
|  | Text | t,
|  | int | child
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObjectEx.

bool doAction | ( | int | action,
|  | int | child,
|  | const QVariantList & | params
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAccessibleObjectEx.

QVariant invokeMethodEx | ( | Method | method,
|  | int | child,
|  | const QVariantList & | params
| ) |  | `[virtual]`

Search for all occurrences

Implements QAccessibleInterfaceEx.

QWidget* widget | ( |  | ) | const `[protected]`

Search for all occurrences

QObject* parentObject | ( |  | ) | const `[protected]`

Search for all occurrences

void addControllingSignal | ( | const QString & | signal | ) | `[protected]`

Search for all occurrences

void setValue | ( | const QString & | value | ) | `[protected]`

Search for all occurrences

void setDescription | ( | const QString & | desc | ) | `[protected]`

Search for all occurrences

void setHelp | ( | const QString & | help | ) | `[protected]`

Search for all occurrences

void setAccelerator | ( | const QString & | accel | ) | `[protected]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessiblewidget.h

QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx
QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx QAccessibleWidgetEx